Help!! I can not download JetPack4.2

There are something wrong (CRC error) with this file:
Jetson_Linux_R32.1.0_aarch64.tbz2

09:14:27 INFO : Drivers for Jetson TX2 & TX2i : You can use the `bzip2recover’ program to attempt to recover
09:14:27 INFO : Drivers for Jetson TX2 & TX2i : data from undamaged sections of corrupted files.
09:14:27 INFO : Drivers for Jetson TX2 & TX2i :
09:14:27 ERROR : Drivers for Jetson TX2 & TX2i : tar: Unexpected EOF in archive
09:14:27 INFO : Drivers for Jetson TX2 & TX2i : tar: Unexpected EOF in archive
09:14:27 INFO : Drivers for Jetson TX2 & TX2i : tar: Error is not recoverable: exiting now

And I can not use `bzip2recover’ to fix it.

Anybody knows why?
(I delete it and download it again, the same error will occur…)

Hi 1584834752,

You probably ran into a recent Ubuntu bzip2 buggy update. See:
https://devtalk.nvidia.com/default/topic/1056381/jetson-agx-xavier/jetpack-4-2-xavier-install-failed/

Thank u very much! Now I can download this driver.
But when I flash TX2, the following errors occured…

I think the tx2 board is ok, because I can use ‘lsusb’ command to find it,
shao@shao-virtual-machine:~$ lsusb
Bus 001 Device 002: ID 0955:7c18 NVidia Corp.
:


DETAILS TERMINAL
Flash Jetson TX2
Message Type: All

Filter text here…

10:32:55 DEBUG : Flash Jetson TX2 : running command < cd ‘/home/shao/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ ; ‘/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter’ -a=‘install’ -c=‘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’ -i=‘NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP’ -v=‘32.1’ -l=’/home/shao/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310’ -L=’/home/shao/.nvsdkm/logs/JetPack_4.2_Linux’ -p=‘38239’ -t=‘P3310’ -e=‘undefined’ >
10:32:55 INFO : Flash Jetson TX2 : [ Disk Avail:13.20 GB ]
10:32:55 INFO : Flash Jetson TX2 : Using GenericInstaller to Install NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP
10:32:55 INFO : Flash Jetson TX2 : change working directory to /home/shao/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra
10:32:55 INFO : Flash Jetson TX2 : [ Component Install Started ]
10:32:55 INFO : Flash Jetson TX2 : current working directory is /home/shao/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra
10:32:55 INFO : Flash Jetson TX2 : exec_command [target]:
10:32:55 INFO : Flash Jetson TX2 : **********************
10:32:55 INFO : Flash Jetson TX2 : #!/bin/bash
10:32:55 INFO : Flash Jetson TX2 : set -e
10:32:55 INFO : Flash Jetson TX2 :
10:32:55 INFO : Flash Jetson TX2 : function safe_apt_install {
10:32:55 INFO : Flash Jetson TX2 : echo “*begin $1, $2”
10:32:55 INFO : Flash Jetson TX2 : tmp_log=/tmp/jetpack_dpkg_log.txt
10:32:55 INFO : Flash Jetson TX2 : sudo rm -f $tmp_log
10:32:55 INFO : Flash Jetson TX2 : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
10:32:55 INFO : Flash Jetson TX2 : while [ ${CMD_STATUS} -ne 0 ]; do
10:32:55 INFO : Flash Jetson TX2 : if grep -q -e “is locked by another process” -e “E: Could not get lock /var/lib” $tmp_log; then
10:32:55 INFO : Flash Jetson TX2 : sudo rm -f $tmp_log
10:32:55 INFO : Flash Jetson TX2 : set +e; $1 2>&1 | tee tmp_log; CMD_STATUS={PIPESTATUS[0]}; set -e
10:32:55 INFO : Flash Jetson TX2 : echo "Waiting 2 seconds for apt to be available"; sleep {2}
10:32:55 INFO : Flash Jetson TX2 : else
10:32:55 INFO : Flash Jetson TX2 : echo “Unhandled error when running $1”; exit 1
10:32:55 INFO : Flash Jetson TX2 : fi
10:32:55 INFO : Flash Jetson TX2 : done
10:32:55 INFO : Flash Jetson TX2 : }
10:32:55 INFO : Flash Jetson TX2 : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
10:32:55 INFO : Flash Jetson TX2 : sudo reboot forced-recovery
10:32:55 INFO : Flash Jetson TX2 : **********************
10:32:55 INFO : Flash Jetson TX2 : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh”
10:33:16 ERROR : Flash Jetson TX2 : lost connection
10:33:37 INFO : Flash Jetson TX2 : exit status 255
10:33:37 WARNING : Flash Jetson TX2 : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 “~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP.sh” finished with error, but ignored
10:33:37 INFO : Flash Jetson TX2 : exec_command: sleep 20
10:33:57 INFO : Flash Jetson TX2 : exec_command: sudo ./flash.sh jetson-tx2 mmcblk0p1
10:33:57 INFO : Flash Jetson TX2 : ###############################################################################
10:33:57 INFO : Flash Jetson TX2 : # L4T BSP Information:
10:33:57 INFO : Flash Jetson TX2 : # R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64,
10:33:57 INFO : Flash Jetson TX2 : # DATE: Wed Mar 13 07:41:08 UTC 2019
10:33:57 INFO : Flash Jetson TX2 : ###############################################################################
10:34:03 INFO : Flash Jetson TX2 : Error: probing the target board failed.
10:34:03 INFO : Flash Jetson TX2 : Make sure the target board is connected through
10:34:03 INFO : Flash Jetson TX2 : USB port and is in recovery mode.
10:34:03 INFO : Flash Jetson TX2 : exit status 1
10:34:03 INFO : Flash Jetson TX2 : [ Component Install Finished with Error ]
10:34:03 ERROR : Flash Jetson TX2 : NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP command sudo ./flash.sh jetson-tx2 mmcblk0p1 finished with error
10:34:03 INFO : Flash Jetson TX2 :
10:34:03 INFO : Flash Jetson TX2 : [ 12.00 KB used. Disk Avail: 13.20 GB ]
10:34:03 INFO : Flash Jetson TX2 : [ NV_L4T_FLASH_TX2_WITH_OS_IMAGE_COMP Install took 1m7s ]
10:34:03 INFO : Flash Jetson TX2 : command sudo ./flash.sh jetson-tx2 mmcblk0p1 finished with error
10:34:03 ERROR : Flash Jetson TX2 : command terminated with error
FLASHING FAILED
Please review the terminal tab for details. Resolve and RETRY.
Installation of target SDK components was skipped
EXPORT LOGS

RETRY
FAILED ITEMS

STOP TRYING

Copyright © 2019,

NVIDIA CORPORATION
.
All rights reserved.
|
NVIDIA Developer

if you have same error, try this,

  1. If Jetson is powered off:
    1a) Press and hold the recovery button
    1b) Power on Jetson
    1c) Wait a second
    1d) Release the recovery button

  2. If Jetson is already powered on (even if lsusb shows Jetson as being in recovery mode):
    2a) Press and hold the recovery button
    2b) Wait a second
    2c) Press and release the reset button
    2d) Wait a second
    2e) Release the recovery button

then, retry!